Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 984018 - Missing python3 documentation
Summary: Missing python3 documentation
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python3
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Bohuslav "Slavek" Kabrda
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1004337
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-12 14:17 UTC by thcourbon
Modified: 2013-11-10 07:58 UTC (History)
3 users (show)

Fixed In Version: python3-docs-3.3.2-2.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-11-10 07:58:33 UTC


Attachments (Terms of Use)

Description thcourbon 2013-07-12 14:17:06 UTC
Description of problem:
Python 2.7.x is present in Fedora along with a compagnion package for documentation name python-docs. The same is not true for python3 for which the documentation is neither in a python3-docs package nor included in the python3 package.

Version-Release number of selected component (if applicable):
python3, all version

How reproducible:
always

Steps to Reproduce:
1. Install python3.
2. look for installed documentation, can't find it.
3. search for python3-docs package : can't find it.

Actual results:
No documentation for python3 can be installed for off-line use.

Expected results:
At the very last a python3-docs package, at best the documentation included with the interpreter (see http://blog.smartbear.com/careers/13-things-people-hate-about-your-open-source-docs/, point 4).

Additional info:
Yes, I know that the documentation can be downloaded from Python website, and that's what I did as a workaround. But then, what's the point of a distribution if you have to get by hand the thing you need ?

Comment 1 Bohuslav "Slavek" Kabrda 2013-07-18 14:15:22 UTC
You're absolutely right, we should ship python3-docs package in the same way we ship python-docs. I'll try to package it ASAP.

Comment 2 thcourbon 2013-07-19 14:23:39 UTC
That would be awesome. Any way I can help ? I don't even know how to write a spec file nor where and to who I could submit it...

Comment 3 Bohuslav "Slavek" Kabrda 2013-07-24 06:59:57 UTC
So, if you've got a _lot_ of time, you can even become a packager [1] and make python3-docs as your first package :)
Else, you can just take python-docs specfile from dist-git [2] and modify it, it shouldn't be that hard.

[1] https://fedoraproject.org/wiki/Join_the_package_collection_maintainers?rd=PackageMaintainers/Join
[2] http://pkgs.fedoraproject.org/cgit/python-docs.git

Comment 4 Fedora Update System 2013-10-22 12:28:34 UTC
python3-docs-3.3.2-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python3-docs-3.3.2-2.fc20

Comment 5 Fedora Update System 2013-10-22 18:51:52 UTC
python3-docs-3.3.2-2.fc20 has been pushed to the Fedora 20 testing repository.

Comment 6 Fedora Update System 2013-11-10 07:58:33 UTC
python3-docs-3.3.2-2.fc20 has been pushed to the Fedora 20 stable repository.


Note You need to log in before you can comment on or make changes to this bug.